Bug 51861 - (SOUND SB16)sndconfig fails when configuring a Creative Labs SoundBlaster AWE64 ISA sound card.
(SOUND SB16)sndconfig fails when configuring a Creative Labs SoundBlaster AWE...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-15 19:39 EDT by Michael Young
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2001-08-15 19:39:06 EDT
Description of Problem:
Sndconfig fails when configuring a Creative Labs SoundBlaster AWE64 ISA
sound card with the following errors. 

/lib/modules/2.4.7-0.8/kernel/drivers/sound/sb.o:             
 init_module: No such device                                   
 /lib/modules/2.4.7-0.8/kernel/drivers/sound/sb.o: insmod      
 /lib/modules/2.4.7-0.8/kernel/drivers/sound/sb.o failed       
 /lib/modules/2.4.7-0.8/kernel/drivers/sound/sb.o: insmod      
 sound-slot-0 failed

This appears to be the same issue as with bug ids 35052 and 36722 for RH
7.1.


Steps to Reproduce:
1. run sndconfig with an isa sb awe64 installed in the machine
2. /sbin/modprobe sb --> with an isa sb awe64 installed in the machine
Comment 1 Bill Nottingham 2001-08-15 21:57:44 EDT
Assigning to kernel.
Comment 2 Bill Nottingham 2001-08-15 21:58:37 EDT
What does /proc/isapnp say?
Comment 3 Michael Young 2001-08-16 14:16:08 EDT
Here is the output from /proc/isapnp

Card 1 'CTL00e9:Creative SB AWE64 PnP' PnP version 1.0 Product version 1.0
  Logical device 0 'CTL0045:Audio'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x220-0x220, align 0x0, size 0x10, 16-bit address decoding
      Port 0x330-0x330, align 0x0, size 0x2, 16-bit address decoding
      Port 0x388-0x3f8, align 0x0, size 0x4, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 5 16-bit word-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        Port 0x388-0x3f8, align 0x0, size 0x4, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
      Alternate resources 0:2
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
      Alternate resources 0:3
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
      Alternate resources 0:4
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        Port 0x388-0x3f8, align 0x0, size 0x4, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:5
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:6
        Priority acceptable
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:7
        Priority functional
        Port 0x220-0x280, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x300-0x330, align 0xf, size 0x2, 16-bit address decoding
        Port 0x388-0x394, align 0x3, size 0x4, 16-bit address decoding
        IRQ 5,7,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 5,6,7 16-bit word-count compatible
  Logical device 1 'CTL7002:Game'
    Compatible device PNPb02f
    Device is not active
    Resources 0
      Priority preferred
      Port 0x200-0x200, align 0x0, size 0x8, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x200-0x208, align 0x7, size 0x8, 16-bit address decoding
  Logical device 2 'CTL0022:WaveTable'
    Device is not active
    Resources 0
      Priority preferred
      Port 0x620-0x620, align 0x0, size 0x4, 16-bit address decoding
      Port 0xa20-0xa20, align 0x0, size 0x4, 16-bit address decoding
      Port 0xe20-0xe20, align 0x0, size 0x4, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x620-0x680, align 0x1f, size 0x4, 16-bit address decoding
        Port 0xa20-0xa80, align 0x1f, size 0x4, 16-bit address decoding
        Port 0xe20-0xe80, align 0x1f, size 0x4, 16-bit address decoding


Comment 4 Glen Foster 2001-08-16 14:58:31 EDT
We (Red Hat) should really try to fix this before next release.
Comment 5 Bugzilla owner 2004-09-30 11:39:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.